require( "scripts/style.lua" );

function StartGame(lev)
	DebugOut("StartGame");
	DebugOut("param: "..lev);
	DebugOut("gLevel: "..gLevel);
	
	gLevel = lev;
	
	if gLevel == 11 then
		newWorld()
	end
	
	if gMode == "endless" then		
		SwapToModal("scripts/endless.lua");
	else
		SwapToModal("scripts/level.lua");
	end
end

gBackground = "backgrounds/welcome";


MakeDialog
{
	-- Name the modal dialog
	name = "Loading",
	Bitmap
	{
		name	= "backgroundimage",
		image	= "backgrounds/welcomem.jpg",

		Loading
		{
			x=kCenter,
			y=kCenter,
			w=kMax,
			h=kMax,
			
			Text
			{
					x		= 400-102,
					y 		= 300-40+95;
					w		= 200,
					h		= 80,
					flags 	= kHAlignCenter + kVAlignCenter,
					label   = "loading",
					font	= { "fonts/rollout.mvec", 24, BlackColor },
			}
		},
		
		
	},
}



